Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.2.2

Description

Workflow permission of "read-only" on a Custom field with "required" checked will prevent submission of issues.

Validation of required fields for which users have "read-only" permissions should be skipped when creating or updating issues; or an

option should be created to allow a required field to be skipped if "read-only" when setting a field to required.

Steps to reproduce.

1.) Create a custom Issues field (ex. Billable w/ Format = list)

2.) Make sure to make this field required.

3.) Under Workflow -> Fields permissions set this new custom field to read-only for any role or tracker (ex. Role: Client & Tracker:

Feature)

4.) Login as a user with a role with read-only permission on the custom field. (ex. Client)

5.) Attempt to create a new Issue or Update an issue with the custom field unset.

6.) On saving the user will be told that the custom field is required, but they are unable to view or change this field.

Related issues:

Is duplicate of Redmine - Defect #19193: Custom Field definition inconsistency New

History

#1 - 2013-01-22 09:13 - Anonymous

Another option would be to remove the required check-box for custom fields and have this only be settable under workflow.

#2 - 2013-01-22 09:19 - Etienne Massip

Andrew Winter wrote:

Another option would be to remove the required check-box for custom fields and have this only be settable under workflow.

 Yes, that's the solution.

#3 - 2013-05-27 02:36 - Stephen Xu

+1 the same issue

#4 - 2017-02-19 03:46 - Go MAEDA

- Is duplicate of Defect #19193: Custom Field definition inconsistency added

#5 - 2017-02-19 03:47 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Fixed by #19193 (Redmine 3.1.0).
